<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'boomee',

    /*
     * Package.
     */
    'package'   => 'good_to__know',

    /*
     * Modules.
     */
    'modules'   => ['news'],

    
    'news'       => [
        'model' => [
            'model'                 => \Boomee\GoodToKnow\Models\News::class,
            'table'                 => 'news',
            'presenter'             => \Boomee\GoodToKnow\Repositories\Presenter\NewsPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'title',  'subtitle',  'category_id',  'website',  'video',  'tags',  'brand_id',  'media_id',  'media_type',  'file',  'content',  'good_to_know',  'images',  'status',  'slug',  'user_id',  'created_at',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'good_to__know/news',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Boomee',
            'package'   => 'GoodToKnow',
            'module'    => 'News',
        ],

    ],
];
