<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateNewsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: news
         */
        Schema::create('news', function ($table) {
            $table->increments('id');
            $table->string('title', 255)->nullable();
            $table->text('subtitle')->nullable();
            $table->integer('category_id')->nullable();
            $table->text('website')->nullable();
            $table->text('video')->nullable();
            $table->text('tags')->nullable();
            $table->integer('brand_id')->nullable();
            $table->integer('media_id')->nullable();
            $table->string('media_type', 255)->nullable();
            $table->text('file')->nullable();
            $table->text('content')->nullable();
            $table->enum('good_to_know', ['on','off'])->nullable();
            $table->text('images')->nullable();
            $table->enum('status', ['show','hide'])->nullable();
            $table->string('slug', 255)->nullable();
            $table->integer('user_id')->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('news');
    }
}
