# Installation

The instructions below will help you to properly install the generated package to the lavalite project.

## Location

Extract the package contents to the folder 

`/packages/boomee/good_to__know/`

## Composer

Add the below entries in the `composer.json` file's autoload section and run the command `composer dump-autoload` in terminal.

```json

...
     "autoload": {
         ...

        "classmap": [
            ...
            
            "packages/boomee/good_to__know/database/seeds",
            
            ...
        ],
        "psr-4": {
            ...
            
            "Boomee\\GoodToKnow\\": "packages/boomee/good_to__know/src",
            
            ...
        }
    },
...

```

## Config

Add the entries in service provider in `config/app.php`

```php

...
    'providers'       => [
        ...
        
        Boomee\GoodToKnow\Providers\GoodToKnowServiceProvider::class,
        
        ...
    ],

    ...

    'alias'             => [
        ...
        
        'GoodToKnow'  => Boomee\GoodToKnow\Facades\GoodToKnow::class,
        
        ...
    ]
...

```

## Migrate

After service provider is set run the commapnd to migrate and seed the database.


    php artisan migrate
    php artisan db:seed --class=Boomee\\GoodToKnowTableSeeder

## Publishing


**Publishing configuration**

    php artisan vendor:publish --provider="Boomee\GoodToKnow\Providers\GoodToKnowServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Boomee\GoodToKnow\Providers\GoodToKnowServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Boomee\GoodToKnow\Providers\GoodToKnowServiceProvider" --tag="view"


## URLs and APIs


### Web Urls

**Admin**

    http://path-to-route-folder/admin/good_to__know/{modulename}

**User**

    http://path-to-route-folder/user/good_to__know/{modulename}

**Public**

    http://path-to-route-folder/good_to__knows


### API endpoints

**List**
 
    http://path-to-route-folder/api/user/good_to__know/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/good_to__know/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/good_to__know/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/good_to__know/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/good_to__know/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/good_to__know/{modulename}/{slug}
    METHOD: GET