<?php

// API routes  for news
Route::prefix('{guard}/good_to__know')->group(function () {
    Route::get('news/form/{element}', 'NewsAPIController@form');
    Route::resource('news', 'NewsAPIController');
});

// Public routes for news
Route::get('good_to__knows/', 'NewsPublicController@index');
Route::get('good_to__knows/{slug?}', 'NewsPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for good_to__knows
            Route::prefix('{guard}/good_to__know')->group(function () {
                Route::get('news/form/{element}', 'NewsAPIController@form');
                Route::apiResource('news', 'NewsAPIController');
            });
            // Public routes for good_to__knows
            Route::get('good_to__know/News', 'NewsPublicController@getNews');
        }
    );
}

