<?php

namespace Boomee\GoodToKnow;

use User;

class GoodToKnow
{
    /**
     * $news object.
     */
    protected $news;

    /**
     * Constructor.
     */
    public function __construct(\Boomee\GoodToKnow\Interfaces\NewsRepositoryInterface $news)
    {
        $this->news = $news;
    }

    /**
     * Returns count of good_to__know.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.news.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->news->pushCriteria(new \Litepie\Boomee\Repositories\Criteria\NewsUserCriteria());
        }

        $news = $this->news->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('good_to__know::' . $view, compact('news'))->render();
    }
}
