<?php

namespace Boomee\GoodToKnow\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class NewsTransformer extends TransformerAbstract
{
    public function transform(\Boomee\GoodToKnow\Models\News $news)
    {
        return [
            'id'                => $news->getRouteKey(),
            'key'               => [
                'public'    => $news->getPublicKey(),
                'route'     => $news->getRouteKey(),
            ], 
            'title'             => $news->title,
            'subtitle'          => $news->subtitle,
            'category_id'       => $news->category_id,
            'website'           => $news->website,
            'video'             => $news->video,
            'tags'              => $news->tags,
            'brand_id'          => $news->brand_id,
            'media_id'          => $news->media_id,
            'media_type'        => $news->media_type,
            'file'              => $news->file,
            'content'           => $news->content,
            'good_to_know'      => $news->good_to_know,
            'images'            => $news->images,
            'slug'              => $news->slug,
            'user_id'           => $news->user_id,
            'deleted_at'        => $news->deleted_at,
            'url'               => [
                'public'    => trans_url('good_to__know/'.$news->getPublicKey()),
                'user'      => guard_url('good_to__know/news/'.$news->getRouteKey()),
            ], 
            'status'            => trans('app.'.$news->status),
            'created_at'        => format_date($news->created_at),
            'updated_at'        => format_date($news->updated_at),
        ];
    }
}